#include <stdio.h>
#include <errno.h>
#include <string.h>

static char const prog[]="rename";

int main(int argc, char** argv) {
  if (argc!=3) {
    fputs(prog, stderr);
    fputs(usage, stderr);
    fputs(prog, stderr);
    fputs(" oldpath newpath\n", stderr);
    return 111;
  }
  if (rename(argv[1], argv[2])!=0) {
    char const* err=strerror(errno);
    fputs(prog, stderr);
    fputs(fatal, stderr);
    fputs(err_rename, stderr);
    fputs(argv[1], stderr);
    fputs(err, stderr);
    fputs("\n", stderr);
    return 111;
  }
  return 0;
}
